[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Remove

Remove an item from the list.

## Declaration

Source position: contnrs.pp line 533

`public function TCustomBucketList.Remove(`
`AItem: Pointer`
`):Pointer;`

## Arguments

`AItem` |  | Item to remove from the list.

## Function result

Data pointer associated with AItem

## Description

Remove removes AItem from the list, and returns the associated data pointer of the removed item. If the item was not in the list, then Nil is returned.

## See also

Find |  | Find an item in the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.